Public Member Functions | Public Attributes | List of all members
BeagleWksDBParserInternal::State Struct Reference

Internal: the state of a BeagleWksDBParser. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
long | m_databaseBegin
| the database begin position More...
Database | m_database
| the database More...
std::multimap< std::string, MWAWEntry > | m_typeEntryMap
| the type entry map More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a BeagleWksDBParser.

## Constructor & Destructor Documentation

## ◆ State()

BeagleWksDBParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int BeagleWksDBParserInternal::State::m_actPage

the actual page

## ◆ m_database

Database BeagleWksDBParserInternal::State::m_database

the database

## ◆ m_databaseBegin

long BeagleWksDBParserInternal::State::m_databaseBegin

the database begin position

## ◆ m_footerHeight

int BeagleWksDBParserInternal::State::m_footerHeight

the footer height if known

## ◆ m_headerHeight

int BeagleWksDBParserInternal::State::m_headerHeight

the header height if known

## ◆ m_numPages

int BeagleWksDBParserInternal::State::m_numPages

the number of page of the final document

## ◆ m_typeEntryMap

std::multimap<std::string, MWAWEntry> BeagleWksDBParserInternal::State::m_typeEntryMap

the type entry map

The documentation for this struct was generated from the following file:

- BeagleWksDBParser.cxx